package com.flyer.foster.controller.app;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.AreaAddDTO;
import com.flyer.foster.dto.AreaQueryDTO;
import com.flyer.foster.dto.AreaRespDTO;
import com.flyer.foster.dto.AreaUpdateDTO;
import com.flyer.foster.entity.Area;
import com.flyer.foster.service.IAreaService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 区域
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/area")
public class AppAreaController {
    @Autowired
    private IAreaService iAreaService;

    /**
     * 区域列表
     * @param areaQueryDTO 查询对象
     * @return
     */
    @GetMapping("/list")
    public R getByGardenId(@Valid AreaQueryDTO areaQueryDTO) {
        return R.ok().result(iAreaService.lambdaQuery().eq(Area::getGardenId, areaQueryDTO.getGardenId()).list());
    }

}
