package com.flyer.foster.controller.app;

import cn.dev33.satoken.annotation.SaIgnore;
import cn.dev33.satoken.stp.StpUtil;
import com.flyer.foster.entity.FosterRecord;
import com.flyer.foster.entity.Garden;
import com.flyer.foster.pojo.StpAppUtil;
import com.flyer.foster.service.IFosterRecordService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 领养记录
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/foster-record")
public class AppFosterRecordController {

    @Autowired
    IFosterRecordService service;

    /**
     * 领养记录列表
     * @return
     */
    @GetMapping("/list/{gardenId}/")
    public R list(@PathVariable Integer gardenId) {
//        Integer appUserId = (Integer)StpAppUtil.getLoginId();
        Integer appUserId = 4;
        List<FosterRecord> res = service.lambdaQuery().
                eq(FosterRecord::getAppUserId, appUserId)
                .eq(FosterRecord::getGardenId, gardenId)
                .list();
        return R.ok().result(res);
    }

}
