package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * TreeAddDTO
 *
 * @author kelei
 * @since 2024/5/9/10:54
 */
@Data
public class TreeAddDTO {
    private Integer id;

    /**
     * 果园id
     */
    @NotNull(message = "果园id不能为空")
    private Integer gardenId;

    /**
     * 区域id
     */
    @NotNull(message = "区域id不能为空")
    private Integer areaId;

    /**
     * 坐标
     */
    @NotBlank(message = "坐标不能为空")
    private String wkt;
}
