package com.flyer.foster.dto;

import com.flyer.foster.entity.Role;
import com.flyer.foster.pojo.CheckBox;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户列表数据传输对象
 *
 * @author kelei
 * @since 2022/3/28/14:02
 */
@Data
public class UserQueryDTO {
    /**
     * 主键id
     */
    private Integer id;

    /**
     * 登录名
     */
    private String username;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 状态{0.不可用 1.可用}
     */
    private Integer status;

    /**
     * 角色对象集合
     */
    private List<Role> roles = new ArrayList();

    private List<CheckBox> moduleList = new ArrayList<>();

    /**
     * 角色描述
     */
    private String description;


    /**
     * 1：经销商，2：医院
     */
    private Integer tenantType;

    private Integer tenantId;

    private String tenantName;

    /**
     * 是否是默认经销商-{0：非，1：是}
     */
    private Integer isDefault;

    private Integer adminUserId;
}
